Compilación de Android Only con API 20: Android 4.4 (KitKat Wear)

Cuando estaba construyendo una aplicación que intentó colocar un editText, pero tengo este error:

Excepción generada durante la renderización: java.lang.System.arraycopy ([CI [CII) V Los detalles de excepción se registran en Ventana> Mostrar vista> Registro de errores

Después de buscar esto me encontré con alguien que tiene este problema ( aplicación de Android en Eclipse: Editar texto que no se muestra en el diseño gráfico ). El problema era que la aplicación estaba siendo compilada con KitKat Wear y desgaste KitKat no es compatible con editText.

Debería haber sido lo suficientemente simple, todo lo que necesitaba hacer era hacer clic en el droide verde en la parte superior de la XML de diseño gráfico y elegir una API diferente. Pero para mí fue solo mostrando "Automatically Pick Best" y "API 20: Android 4.4W". Y automáticamente elegir mejor sólo eligió 4.4W. Así que intenté hacer la aplicación de nuevo, pero cuando fui a la nueva aplicación para Android, todo lo que se abría en Compile With era de 4,4W. He intentado elegir diferentes SDKs de destino y SDK mínimos requeridos pero nada funcionó. ¿Ayuda?

Tienes que descargar la API 19 o la que quieras. Vaya a Android SDK Manager y descargar la API, después de que se le mostrará en el droide verde de la disposición gráfica XML su nueva API descargada, elija y todo va a estar bien.

  • ¿Hay Twitter API SDK para Android?
  • No se pueden actualizar las herramientas SDK de Android
  • No se puede importar ActionBar en Android App con compatibilidad con versiones anteriores
  • Leadbolt Banner fuera de pantalla
  • Ejecución del nuevo emulador de Intel para Android
  • Su SDK de Android está ausente, está desactualizado o falta plantillas
  • "No se puede encontrar la base de datos de API; Comprobación de API no se realizó "en SDK de aplicaciones de Android con Eclipse
  • Android Studio no me deja importar SDK
  • ¿Qué son las herramientas de desarrollo de SDK de Android, las herramientas de plataforma y las herramientas? ¿Y qué versión debe utilizarse?
  • Cambiar el nivel de API de Android Studio
  • Compilación de error en SDK "Utilizar Facebook Login"
  • FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.